После обновления Joomla с версии 3.4.x до 3.5.1 некоторые администраторы в лог файлах веб-сервера могут наблюдать следующие ошибки:

[Wed May 11 05:54:42 2016] [error] [client 185.3.16.210] PHP Notice:  Undefined variable: this in /libraries/cms/application/cms.php on line 430, referer: http://useful-notes.ru/
[Wed May 11 05:54:42 2016] [error] [client 185.3.16.210] PHP Notice:  Undefined variable: this in /libraries/cms/application/cms.php on line 430, referer: http://useful-notes.ru/
[Wed May 11 05:54:42 2016] [error] [client 185.3.16.210] PHP Notice:  Undefined variable: this in /libraries/cms/application/cms.php on line 430, referer: http://useful-notes.ru/
[Wed May 11 05:54:42 2016] [error] [client 185.3.16.210] PHP Notice:  Undefined variable: this in /libraries/cms/application/cms.php on line 430, referer: http://useful-notes.ru/

Выражение для After Effects с помощью которого можно задавать плавность или ускорение движения объекта по ключам. Например, резкий старт и замедление. Одним из преимуществ использования выражения для смягчения движения является то, что ключевые кадры всегда доступны для редактирования.

Как изменить / удалить meta tag generator в Joomla 3?

Ходят слухи что наличие мета тега <meta name="generator" content="Joomla 3.4" /> в head секции вашего сайта это очень плохо и что роботы ищущие сайты на Joomla для взлома ориентируются именно на него, как на один из опознавательных знаков движка сайта и что поисковые системы понижают в выводе сайты на этой CMS. Так это или нет, но тег мы изменим или вовсе удалим. Сейчас расскажу как.

Недавно просматривая логи заметил ошибку верификации сертификата при соединении своего smtp сервера с серверами gmail,yandex.ru и mail.ru. В принципе эта проверка лишь дополнительное звено при авторизации и на доставку писем пока не влияет. Вот содержимое лога /var/log/mail.err:

Feb 6 13:57:24 xxxxxx postfix/smtp[nnnnn]: certificate verification failed for gmail-smtp-in.l.google.com[173.194.70.27]:25: untrusted issuer /C=US/O=Equifax/OU=Equifax Secure Certificate Authority
Фиксированное меню сверху сайта на jQuery. Можно просто с помощью CSS позиционирования зафиксировать его сверху и все. Но наш метод более гибок, меню сверху сайта мы закрепим после пролистывания страницы, сделаем эффект появления. И так, как закрепить шапку сайта сверху?
Адаптивный слайдер изображений Owl Carousel Slider. Имеет достаточно большое количество настроек, прост в установке и работе.
Facebook OpenGraph Protocol

Facebook является одним из основных инструментов для обратной связи с посетителями сайта и само собой инструментом для продвижения любого ресурса. Кнопочки «Поделится» и «Нравится» жизненно необходимы для вашего ресурса. Но какую именно информацию должен подхватывать робот не понятно. Каждый сайт отличается по своей структуре и что бы робот Facebook не парсил материал наугад существует протокол Open Graph. Что это такое и как он облегчает жизнь роботам и веб-мастерам?

Все Linux/BSD системы имеют установленный по умолчанию архиватор tar (англ. tape archive) . TAR не создаёт сжатых архивов, а использует для сжатия внешние утилиты, такие, как gzip и bzip2. Одним из преимуществ явяется то, что в архив записывается вся информация о структуре каталогов, владельце и группе, а также временные метки.

Если у вас не получается установить новые пакеты или обновить существующие и вы постоянно видите эту ошибку с недостающими зависимостям в командной строке Ubuntu 13.04/12.10 или Debian 6 Squeeze:

(...) You might want to run 'apt-get -f install' to correct these:
The following packages have unmet dependencies: (...)

Предлагаю вам несколько вариантов устранения ошибки менеджера пакетов.

Последняя стабильная версия PHP в Debian 6 это 5.3.7. Обновление до более новой версии из стандартных репозиториев Debian невозможно. Минимальную версию, которую можно установить из репозитория dotdeb.org это 5.4+.

Но с ней большинство проектов не будут  работать как прежде, возможны ошибки и полная неработоспособность некоторых движков, например Joomla 1.5 / 2.5.

В репозитории php53.dotdeb.org больше нет поддержки PHP 5.3, поэтому будем устанавливать вручную из архивов.